singularity(1)

NAME

singularity-config-global - Edit singularity.conf from command line (root user only or unprivileged installation)

SYNOPSIS

singularity config global [value,...]

DESCRIPTION

The config global command allow administrators to set/unset/get/reset configuration
  directives of singularity.conf from command line.

OPTIONS

-d, --dry-run[=false]
    dump resulting configuration on stdout but doesn't write it to singularity.conf

-g, --get[=false]
    get value of the configuration directive

-h, --help[=false]
    help for global

-r, --reset[=false]
    reset the configuration directive value to its default value

-s, --set[=false]
    set value of the configuration directive (for multi-value directives, it will add it)

-u, --unset[=false]
    unset value of the configuration directive (for multi-value directives, it will remove matching values)

EXAMPLE

      To add a path to "bind path" directive:
      $ singularity config global --set "bind path" /etc/resolv.conf

      To remove a path from "bind path" directive:
      $ singularity config global --unset "bind path" /etc/resolv.conf

      To set "bind path" to the default value:
      $ singularity config global --reset "bind path"

      To get "bind path" directive value:
      $ singularity config global --get "bind path"

      To display the resulting configuration instead of writing it to file:
      $ singularity config global --dry-run --set "bind path" /etc/resolv.conf

SEE ALSO

singularity-config(1)

HISTORY

1-Apr-2024 Auto generated by spf13/cobra